# Gimp.Gradient.segment_range_split_uniform

    @accepts(Gimp.Gradient, int, int, int)
    @returns(bool)
    def segment_range_split_uniform(self, start_segment, end_segment, split_parts):
        # Python wrapper for gimp_gradient_segment_range_split_uniform()

Splits each segment in the segment range uniformly

Splits each segment in the segment range uniformly into to the number of parts given. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

split_parts

  The number of uniform divisions to split each segment to.

Returns